%define	name		ipkungfu
%define	version		0.5.0
%define	release 	3mdk
%define initrddir 	%([ -d /etc/init.d -a ! -L /etc/init.d ] && echo /etc/init.d || echo /etc/rc.d/init.d)

Summary: 	IPKungFu is an iptables-based Linux firewall.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Configuration/Networking
Source:		%{name}-%{version}.tar.bz2
Patch:		rc.patch.bz2
URL:		http://freshmeat.net/projects/%{name}
BuildArch:	noarch
Requires:	iptables
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
IPKungFu is an iptables-based Linux firewall. It aims to simplify 
the configuration of Internet connection sharing, port forwarding, 
and packet filtering.

%prep

%setup

%patch -p1

%build

%install
# Make sure we are starting with a clean slate
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# make our directories
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{initrddir}
mkdir -p $RPM_BUILD_ROOT%{_sbindir}

# install the files
install $RPM_BUILD_DIR/%{name}-%{version}/files/rc.%{name} 	$RPM_BUILD_ROOT%{initrddir}/%{name}
install $RPM_BUILD_DIR/%{name}-%{version}/files/*.conf 		$RPM_BUILD_ROOT%{_sysconfdir}/%{name}/
install $RPM_BUILD_DIR/%{name}-%{version}/%{name} 		$RPM_BUILD_ROOT%{_sbindir}
install $RPM_BUILD_DIR/%{name}-%{version}/files/%{name}.8.bz2 	$RPM_BUILD_ROOT%{_mandir}/man8/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
[ "$RPM_BUILD_DIR" != "/" ] && rm -rf $RPM_BUILD_DIR/%name-%version

%files
%defattr(-,root,root)
%attr(744,root,root) %{_sbindir}/%{name}
%attr(744,root,root) %{initrddir}/%{name}
%attr(644,root,root) %{_mandir}/man8/%{name}.8.bz2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.conf

%doc Changelog FAQ README COPYRIGHT

%post
chmod 700 /etc/ipkungfu

echo -e ""
echo -e "********************************************************"
echo -e "*          \033[40m\033[1;31mIPKungFu setup is NOT COMPLETE!\033[40m\033[0;37m             *"
echo -e "* In order for IPKungfu to work properly you MUST edit *"
echo -e "* the \033[40m\033[1;32mipkungfu.conf\033[40m\033[0;37m file located in \033[40m\033[1;32m/etc/ipkungfu\033[40m\033[0;37m      *"
echo -e "* Once you have fully configured IPKungfu, please run  *"
echo -e "* the commands \033[40m\033[1;32mchkconfig --add ipkungfu\033[40m\033[0;37m as well as     *"
echo -e "* \033[40m\033[1;32mservice ipkungfu start\033[40m\033[0;37m as root to ensure IPKungfu    *"
echo -e "* starts up with every reboot                          *"
echo -e "* Please read the man page for further information     *"
echo -e "********************************************************"
echo -e ""

%preun
%{initrddir}/%{name} stop
chkconfig --del %{name}

%changelog
* Fri Jun 20 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-3mdk
- from Sean Donner <siegex@identityflux.com> :
	- Added a patch so that the init script points to the correct location

* Wed Jun 03 2003 Sean Donner <siegex@identityflux.com> 0.5.0-2mdk
- Updated spec file to comply with rpmlint rules

* Tue Jun 03 2003 Sean Donner <siegex@identityflux.com> 0.5.0-1mdk
- Made numerous changes the spec file to comply with Mandrake contrib rules

* Mon Jan 20 2003 TJ Fontaine <tjfontaine@clemlumber.com> 0.3.2-1tjf
- Initial Release
